import request from '@/utils/request'

// 查询在线申报管理列表
export function listInfo(query) {
  return request({
    url: '/system/templateInfo/list',
    method: 'get',
    params: query
  })
}
// 查询在线申报管理列表
export function getInfo(id) {
  return request({
    url: '/system/templateInfo/' + id,
    method: 'get',
  })
}

// 查询申报模版列表
export function templateList(query) {
  return request({
    url: '/system/templateRecord/templateNameList',
    method: 'get',
    params: query
  })
}

// 查询企业列表
export function listBusiness(query) {
  return request({
    url: '/system/enterpriseDirectory/list',
    method: 'get',
    params: query
  })
}

// 导出
export function exportData(data) {
  return request({
    url: `/system/templateInfo/exportTemplate/${data.id}`,
    method: 'get',
    responseType: 'blob'
  })
}

// 新增企业名录
export function addTemplateRecord(data) {
  return request({
    url: '/system/templateRecord',
    method: 'post',
    data: data
  })
}
